<?php

$wp_customize->add_section(
	'lawman_blog_client',
	array(
		'title' => esc_html__( 'Client', 'lawman-blog' ),
		'panel' => 'lawman_home_panel',
	)
);

// client enable settings
$wp_customize->add_setting(
	'lawman_blog_client',
	array(
		'sanitize_callback' => 'lawman_sanitize_select',
		'default' => 'disable'
	)
);

$wp_customize->add_control(
	'lawman_blog_client',
	array(
		'section'		=> 'lawman_blog_client',
		'label'			=> esc_html__( 'Content type:', 'lawman-blog' ),
		'description'	=> esc_html__( 'Choose where you want to render the content from.', 'lawman-blog' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'lawman-blog' ),
				'page' => esc_html__( 'Page', 'lawman-blog' ),
		 	)
	)
);

$wp_customize->add_setting(
	'lawman_blog_client_num',
	array(
		'sanitize_callback' => 'lawman_sanitize_number_range',
		'default' => 5,
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_blog_client_num',
	array(
		'section'		=> 'lawman_blog_client',
		'label'			=> esc_html__( 'Number of Posts:', 'lawman-blog' ),
		'description'	=> esc_html__( 'Min: 1 | Max: 5', 'lawman-blog' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 1, 'max' => 5 ),
		'active_callback' => 'lawman_blog_if_client_active'

	)
);


$client_num = get_theme_mod( 'lawman_blog_client_num', 5 );
for ($i=1; $i <= $client_num ; $i++) { 
	
	$wp_customize->add_setting( 
		'lawman_blog_client_image_'.$i,
		array(
			'sanitize_callback' => 'lawman_sanitize_image',
		) 
	);

	// client page setting
	$wp_customize->add_setting(
		'lawman_blog_client_page_'.$i,
		array(
			'sanitize_callback' => 'lawman_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'lawman_blog_client_page_'.$i,
		array(
			'section'		=> 'lawman_blog_client',
			'label'			=> esc_html__( 'Page ', 'lawman-blog' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'lawman_blog_if_client_active'
		)
	);
}
