<?php

$wp_customize->add_section(
	'lawman_blog_instagram',
	array(
		'title'             => esc_html__( 'Instagram','lawman-blog' ),
		'description'       => sprintf( lawman_santize_allow_tag('Instagram Section options. <a href="%1$s">click here </a> to link instagram account', 'lawman-blog'), admin_url( $paths = '?page=sb-instagram-feed', $scheme = 'admin' ) ),
		'panel'             => 'lawman_home_panel',
	)
);

$wp_customize->add_setting(
	'lawman_blog_instagram',
	array(
		'sanitize_callback' => 'lawman_sanitize_select',
		'default' => 'disable'
	)
);

$wp_customize->add_control(
	'lawman_blog_instagram',
	array(
		'section'		=> 'lawman_blog_instagram',
		'label'			=> esc_html__( 'Content type:', 'lawman-blog' ),
		'description'	=> esc_html__( 'Choose where you want to render the content from.', 'lawman-blog' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'lawman-blog' ),
				'custom' => esc_html__( 'Custom', 'lawman-blog' ),
		 	)
	)
);

$wp_customize->add_setting(
	'lawman_blog_instagram_shortcode',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'			=> esc_html__( '[instagram-feed num=6 cols=6 showheader=false showbutton=false showfollow=false]', 'lawman-blog' ),
	)
);

$wp_customize->add_control(
	'lawman_blog_instagram_shortcode',
	array(
		'label'           	=> esc_html__( 'Enter Shortcode', 'lawman-blog' ),
		'section'        	=> 'lawman_blog_instagram',
		'active_callback' 	=> 'lawman_blog_if_instagram_active',
		'type'				=> 'text',
	)
);