<?php

if ( ! defined( 'JETPACK__VERSION' ) || ! class_exists( 'Jetpack_Subscriptions_Widget' ) ) {
    return;
}

$suscribe = get_theme_mod( 'lawman_blog_suscribe', 'disable' );

if ( 'disable' === $suscribe ) {
	return;
}

?>
    <div id="blog_subscribe_us_section" class="page-section same-background">
        <div class="wrapper">
            <article class="has-post-thumbnail">
                <div class="featured-image" style="background-image: url('<?php echo esc_url( get_theme_mod( 'lawman_blog_suscribe_image' ) ); ?>');">
                </div>
                    
                <div class="entry-container">
                    <div class="section-header">
                        <p class="section-subtitle"><?php echo esc_html( get_theme_mod( 'lawman_blog_suscribe_sub_title', __('Subscribe Now!', 'lawman-blog') ) ); ?></p>
                        <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'lawman_blog_suscribe_title', __(' Join Our Weekly Free Newsletter', 'lawman-blog') ) ); ?></h2>
                    </div>

                    <div class="entry-content">
                        <p>
                            <?php 
                            $allow_tag = array(
                                    'a' => array(
                                        'href' => array(),
                                        'title' => array()
                                    ),
                                    'br' => array(),
                                );
                            echo wp_kses( get_theme_mod( 'lawman_blog_suscribe_content', __('Life is short. No one wants to fill out a form. Be conversational. Be funny. Gradually engage. Do the unexpected. It is the role of the designer to express their company’s brand to elicit an emotional reaction.</br></br>If done correctly, it will increase completion rates. Just make sure you don’t violate the rules listed above.', 'lawman-blog') ), $allow_tag ) ; ?>
                        </p>
                        <div class="jetpack_subscription_widget">           
                        <?php 
                            $subscription_shortcode = '[jetpack_subscription_form title="" subscribe_text="" subscribe_button="' . esc_html( get_theme_mod( 'lawman_blog_suscribe_btn_title', __('Subscribe', 'lawman-blog') ) ) . '" show_subscribers_total="0"]';
                            echo do_shortcode( wp_kses_post( $subscription_shortcode ) );  
                        ?>
                        </div>
                    </div>
                </div>
            </article>
        </div>
    </div>
